Skip to main content
POST
/api/v1/image/generations

Autorisierungen

Authorization
string
header
erforderlich

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Header

Accept-Encoding
string

Supported compression encodings (gzip, br).

Beispiel:

"gzip, br"

Body

application/json
prompt
string
erforderlich

A text description of the desired image.

Required string length: 1 - 1500
Beispiel:

"A beautiful sunset over mountain ranges"

background
enum<string> | null
Standard:auto

This parameter is not used in Venice image generation but is supported for compatibility with OpenAI API

Verfügbare Optionen:
transparent,
opaque,
auto
Beispiel:

"auto"

model
string
Standard:default

The model to use for image generation. Defaults to Venice's default image model. If a non-existent model is specified (ie an OpenAI model name), it will default to Venice's default image model.

Beispiel:

"grok-imagine-image"

moderation
enum<string> | null
Standard:auto

auto enables safe venice mode which will blur out adult content. low disables safe venice mode.

Verfügbare Optionen:
low,
auto
Beispiel:

"auto"

n
integer | null
Standard:1

Number of images to generate. Venice presently only supports 1 image per request.

Erforderlicher Bereich: 1 <= x <= 1
Beispiel:

1

output_compression
integer | null
Standard:100

This parameter is not used in Venice image generation but is supported for compatibility with OpenAI API

Erforderlicher Bereich: 0 <= x <= 100
output_format
enum<string>
Standard:png

Output format for generated images

Verfügbare Optionen:
jpeg,
png,
webp
Beispiel:

"png"

quality
enum<string> | null
Standard:auto

This parameter is not used in Venice image generation but is supported for compatibility with OpenAI API

Verfügbare Optionen:
auto,
high,
medium,
low,
hd,
standard
Beispiel:

"auto"

response_format
enum<string> | null
Standard:b64_json

Response format. URL will be a data URL.

Verfügbare Optionen:
b64_json,
url
Beispiel:

"b64_json"

size
enum<string> | null
Standard:auto

Size of generated images. Default is 1024x1024

Verfügbare Optionen:
auto,
256x256,
512x512,
1024x1024,
1536x1024,
1024x1536,
1792x1024,
1024x1792
Beispiel:

"1024x1024"

style
enum<string> | null
Standard:natural

This parameter is not used in Venice image generation but is supported for compatibility with OpenAI API

Verfügbare Optionen:
vivid,
natural
Beispiel:

"natural"

user
string

This parameter is discarded and is supported for compatibility with OpenAI API. It is not an alias of anon_user_id.

Beispiel:

"user123"

anon_user_id
string

Optional identifier for the API customer's end user. Combined with the Venice user id when attributing the request to upstream providers. Distinct from the discarded OpenAI user field. Must be printable ASCII and must not contain ||.

Required string length: 1 - 128
Pattern: ^[\x20-\x7E]+$
Beispiel:

"end-user-123"

Antwort

Successfully generated image

created
integer
erforderlich

Unix timestamp for when the request was created

Beispiel:

1713833628

data
object[]
erforderlich